return {
	color = {.2,.7,.2},
	layout = {
		{1,1,1,1,1,1,1,1,1,1,1,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{0,0,0,0,0,0,0,0,0,0,0,1},
		{0,0,0,0,0,0,0,0,0,0,0,1},
		{0,0,0,0,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{1,0,0,0,0,0,0,0,0,0,0,1},
		{1,1,1,1,1,1,1,1,1,1,1,1}
	},
	on_load = function (map)
		ui:add_named_text("title", map.width + 3, -10, "GAMEPLAY SETTINGS", {1, 1, 1}, 3, 0)
		ui:add_named_text("instructions", map.width + 2, -6, "Press enter while on an arrow to change value", {1, 1, 1}, 1, 0)
		local font_color = {.1, .1, .1}
		local function back_to_settings (self, player)
			change_level(7, 4, "settings_level")
		end
		map:add_static_object(Event_tile:create(0, math.floor(map.height / 2) - 1, map, back_to_settings))
		map:add_static_object(Event_tile:create(0, math.floor(map.height / 2), map, back_to_settings))
		map:add_static_object(Event_tile:create(0, math.floor(map.height / 2) + 1, map, back_to_settings))
		local function change_game_size (change_w, change_h)
			local min, max = 0, 20
			_G.options.data.game_width = math.min(math.max(_G.options.data.game_width + change_w, 0), 20)
			_G.options.data.game_height = math.min(math.max(_G.options.data.game_height + change_h, 0), 20)
			--update the values on-screen
			_G.ui.named_texts["map_width"].content = "map width: " .. _G.options.data.game_width
			_G.ui.named_texts["map_height"].content = "map height: " .. _G.options.data.game_height
		end
		local function increment_game_width ()
			change_game_size(1,0)
		end
		local function decrement_game_width ()
			change_game_size(-1,0)
		end
		local function increment_game_height ()
			change_game_size(0,1)
		end
		local function decrement_game_height ()
			change_game_size(0,-1)
		end

		--map width
		ui:add_named_text("map_width", 3, 3.5, "map width: " .. options.data.game_width, font_color, 1, -math.pi / 6.8)
		map:add_static_object(Option_arrow:create(9, 2, increment_game_width, true, map))
		map:add_static_object(Option_arrow:create(9, 3, decrement_game_width, false,  map))

		--map height
		ui:add_named_text("map_height", 3, 6.5, "map height: " .. options.data.game_height, font_color, 1, -math.pi / 6.8)
		map:add_static_object(Option_arrow:create(9, 5, increment_game_height, true, map))
		map:add_static_object(Option_arrow:create(9, 6, decrement_game_height, false, map))
	end
}
